Bug 209652 - DHCPv6 server does not delegate prefix
DHCPv6 server does not delegate prefix
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dhcpv6 (Show other bugs)
9
All Linux
medium Severity urgent
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-06 13:28 EDT by Ganesh Natarajan
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-15 00:05:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ganesh Natarajan 2006-10-06 13:28:24 EDT
Hi David,

Thanks much for your help. I tried this with Fedora Core 5 and the problem 
still happens. I noticed one more thing. The DUID type set by Cisco routers are 
of type 3 and the one set by the dhcp6s server is of type 1. Does this have 
anything to do with the problem I am seeing? If so, is there a way to match the 
DUID of the server and that of the CISCO 7301 client? 
I will add this question in the database too. Please advice.

Thanks,
-Ganesh



+++ This bug was initially created as a clone of Bug #206362 +++

Description of problem:
I am using dhcpv6 server on fedora core 3 linux for i386. The dhcp6s server is 
updated to dhcp6s-0.10-14_FC3.rpm. When I connect a cisco 7301 router as a 
client to the DHCPv6 server, the server does not return a valid prefix. I 
notice in the log the following.

Sep/11/2006 11:19:54 received solicit from fe80::200:ff:fe02:301%vlan1401
Sep/11/2006 11:19:54 get DHCP option opt_8, len 2
Sep/11/2006 11:19:54  this message elapsed time is: 1528
Sep/11/2006 11:19:54 get DHCP option client ID, len 10
Sep/11/2006 11:19:54   DUID: 00:03:00:01:00:00:00:09:02:01
Sep/11/2006 11:19:54 get DHCP option rapid commit, len 0
Sep/11/2006 11:19:54 get DHCP option option request, len 6
Sep/11/2006 11:19:54   requested option: DNS_RESOLVERS
Sep/11/2006 11:19:54   requested option: opt_23
Sep/11/2006 11:19:54   requested option: opt_24
Sep/11/2006 11:19:54 get DHCP option DNS_RESOLVERS, len 12
Sep/11/2006 11:19:54 malformed DHCP option: type 25, len 12
Sep/11/2006 11:19:54 DUID is 00:03:00:01:00:00:00:09:02:01, DUID_LEN is 10
Sep/11/2006 11:19:54 removing ID (ID: 00:03:00:01:00:00:00:09:02:01)
Sep/11/2006 11:19:54 DUID is , DUID_LEN is 0
Sep/11/2006 11:19:54 failed to parse options

Version-Release number of selected component (if applicable):

fedora core Linux. DHCPv6-0.14-FC3.rpm


How reproducible:
Start dhcp6s server. Connect dhcp6s client using cisco 7301 which has prefix 
enabled. 

Steps to Reproduce:
1.Same as above
2.
3.
  
Actual results:
Sep/11/2006 11:19:54 received solicit from fe80::200:ff:fe02:301%vlan1401
Sep/11/2006 11:19:54 get DHCP option opt_8, len 2
Sep/11/2006 11:19:54  this message elapsed time is: 1528
Sep/11/2006 11:19:54 get DHCP option client ID, len 10
Sep/11/2006 11:19:54   DUID: 00:03:00:01:00:00:00:09:02:01
Sep/11/2006 11:19:54 get DHCP option rapid commit, len 0
Sep/11/2006 11:19:54 get DHCP option option request, len 6
Sep/11/2006 11:19:54   requested option: DNS_RESOLVERS
Sep/11/2006 11:19:54   requested option: opt_23
Sep/11/2006 11:19:54   requested option: opt_24
Sep/11/2006 11:19:54 get DHCP option DNS_RESOLVERS, len 12
Sep/11/2006 11:19:54 malformed DHCP option: type 25, len 12
Sep/11/2006 11:19:54 DUID is 00:03:00:01:00:00:00:09:02:01, DUID_LEN is 10
Sep/11/2006 11:19:54 removing ID (ID: 00:03:00:01:00:00:00:09:02:01)
Sep/11/2006 11:19:54 DUID is , DUID_LEN is 0
Sep/11/2006 11:19:54 failed to parse options


Expected results:
DHCPv6 server should send a valid network prefix in the Advertise message back 
to the client.

Additional info: The configuration file used is as follows. 

interface vlan1401 {
        server-preference 255;
        renew-time 60;
        rebind-time 90;
        prefer-life-time 130;
        valid-life-time 200;
        allow rapid-commit;
        option dns_servers 2000::2 ibm.com;
        link AAA {
                pool{
                        range 2001:1:2::2 to 2001:1:2::100/64;
                        prefix 2001:1:2::/48;
                };
        };
        host BBB {
                duid 00:01:00:01:0b:da:ce:01:00:12:3f:f1:bd:5e;
#               duid 00:01:00:01:05:c8:8c:7e:00:10:a4:8d:30:7f;
                iaidinfo {
                        iaid  8335501;
                        renew-time 30;
                        rebind-time 40;
                };
                prefix {
                        fecc::/24;
                        prefer-life-time 90;
                        valid-life-time 120;
                };
                prefix {
                        3000::/64;
                        prefer-life-time 100;
                        valid-life-time 120;
                };
                address {
                        fecc::1/34;
                        prefer-life-time 60;
                        valid-life-time 90;
                };
        };
};

-- Additional comment from dcantrel@redhat.com on 2006-09-14 11:05 EST --
*** Bug 206363 has been marked as a duplicate of this bug. ***

-- Additional comment from dcantrel@redhat.com on 2006-09-14 11:06 EST --
*** Bug 206364 has been marked as a duplicate of this bug. ***

-- Additional comment from dcantrel@redhat.com on 2006-09-14 11:07 EST --
Does this still happen on Fedora Core 5 or higher?

-- Additional comment from dcantrel@redhat.com on 2006-09-14 14:18 EST --
The problem here is that we don't support Fedora Core 3 anymore.  It's in legacy
support mode:

	http://www.fedoralegacy.org/

We currently support Fedora Core 5 and the active development tree.

I've looked through the dhcpv6 package and it looks like this problem has been
addressed in later builds.  You have build 14 in FC3, we are up to build 31. 
There is bug #196429, which looks to address your problem.  It was fixed in
build 30.  In addition, this is from the changelog under the build 18 notes:

	* Wed May 10 2006 Jason Vas Dias <jvdias@redhat.com> - 0.10-18
	- Make server send client the IPv6 address prefix in address
	  lease; make client use it

Now, if you must continue to use FC3, there's not a lot I can do for you.  You
can try building the SRPM from rawhide on FC3, but if it doesn't work, there's
not much I can do.  You can ask the Fedora Legacy project to pull in the latest
version from rawhide and release an update for FC3.  Or you can upgrade to FC5.
Comment 1 David Cantrell 2007-08-14 17:25:50 EDT
I'm moving this bug to Fedora devel ("rawhide") because the bug is still present
there.  After reading the draft RFC specifications for DHCPv6, I've found that
dhcp6s in Fedora is only capable of handling DUID type 1.  It cannot handle DUID
type 2 or type 3.

Type 3 appears to be a subset of type 1, so expanding dhcp6s to support that
seems doable, but I'll have to look in to the code a bit more.  At any rate,
that's where I am right now.
Comment 2 David Cantrell 2008-02-01 22:16:45 EST
Lots of work has gone in to dhcpv6 lately.  There is a new version in the Fedora
development tree ("rawhide").  Can you try that and see if you are still having
problems?  The latest version now is dhcpv6-1.0.11.
Comment 3 Bug Zapper 2008-05-13 22:24:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jon Stanley 2008-05-15 00:05:17 EDT
The information we've requested above is required in order
to review this problem report further and diagnose or fix the
issue if it is still present.  Since it has been thirty days or
more since we first requested additional information, we're assuming 
the problem is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.